### Property

# Gio DebugControllerDBus:connection

since: 2.72

#### Declaration

    property connection: Gio.DBusConnection [ read, write, construct-only ]

#### Description

The D-Bus connection to expose the debugging interface on.

Typically this will be the same connection (to the system or session bus) which the rest of the application or service’s D-Bus objects are registered on.

Type: | `GDBusConnection`
Available since: | 2.72

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes